#! /bin/sh

# Produces the title for each page

if [ $# -ne 0 ]; then
    echo "$0 doesn't take any argument" >&2
    exit 1
fi

for source in $(ussm-source-files); do
    mkdir -p _ussm/tmp/$(dirname $source)
    ussm-heading title $source |\
    cat > _ussm/tmp/$(echo "$source" | sed 's/\.[^.]*$//').title
done
