
type head = string * value
and value = One of string | Many of head list

val header : head list Parsec.psr

(** `value key header` extracts a value from a header *)
val value : string -> head list -> string

(** `from_file key file_name` extracts a heading from a file *)
val from_file : string -> string -> string

(** `from_channel key input` extracts a heading from the input *)
val from_channel : string -> in_channel -> string

(** `from_conf key` extracts a heading from _/ussm/skin/_settings *)
val from_conf : string -> string
