#! /bin/sh

# List every source directory in the USSM repository (one directory
# name per line, path relative to the USSM root directory)

if [ $# -ge 1 ]; then
    echo "$0 doesn't take any argument" >&2
    exit 1
fi

for source in $(find . -name "_ussm" -prune -o -type d -print |\
                ussm-remove-boring                            |\
                grep -v "^\.$"                                |\
                sed 's|^\./||')
do
    echo "$source"
done
